package domain

type AlibabaWdkCouponSkuQueryPageInfo struct {
	/*
	   第几页 defalutValue:0    */
	PageNum *int64 `json:"page_num,omitempty" `

	/*
	   每页条数 defalutValue:0    */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   总共多少页 defalutValue:0    */
	Pages *int64 `json:"pages,omitempty" `

	/*
	   总共多少条 defalutValue:0    */
	Total *int64 `json:"total,omitempty" `
}

func (s *AlibabaWdkCouponSkuQueryPageInfo) SetPageNum(v int64) *AlibabaWdkCouponSkuQueryPageInfo {
	s.PageNum = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryPageInfo) SetPageSize(v int64) *AlibabaWdkCouponSkuQueryPageInfo {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryPageInfo) SetPages(v int64) *AlibabaWdkCouponSkuQueryPageInfo {
	s.Pages = &v
	return s
}
func (s *AlibabaWdkCouponSkuQueryPageInfo) SetTotal(v int64) *AlibabaWdkCouponSkuQueryPageInfo {
	s.Total = &v
	return s
}
